package ru.yandex.webmaster3.api.queries2;

import ru.yandex.webmaster3.api.http.common.request.locator.AbstractHostLocator;
import ru.yandex.webmaster3.core.data.WebmasterHostId;
import ru.yandex.webmaster3.core.searchquery.QueryId;

/**
 * @author leonidrom
 */
public class SearchQueryLocator extends AbstractHostLocator {
    private final QueryId queryId;

    public SearchQueryLocator(long userId, WebmasterHostId hostId, QueryId queryId) {
        super(userId, hostId);
        this.queryId = queryId;
    }

    public QueryId getQueryId() {
        return queryId;
    }
}
